Package com.independentsoft.office.odf.styles

# Enum Class MeasureHorizontalAlignment

java.lang.Object
java.lang.Enum<MeasureHorizontalAlignment>
com.independentsoft.office.odf.styles.MeasureHorizontalAlignment

All Implemented Interfaces:
  `Serializable`, `Comparable<MeasureHorizontalAlignment>`, `Constable`

public enum MeasureHorizontalAlignment extends Enum<MeasureHorizontalAlignment>
Represents the horizontal alignment of a measure text relative to its measure line.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTOMATIC`
  Horizontal alignment of a measure text relative to its measure line is chosen by the consumer.
  `INSIDE`
  Horizontal alignment of a measure text should be inside relative to its measure line.
  `LEFT_OUTSIDE`
  Horizontal alignment of a measure text should be left-outside relative to its measure line.
  `NONE`
  None
  `RIGHT_OUTSIDE`
  Horizontal alignment of a measure text should be right-outside relative to its measure line.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MeasureHorizontalAlignment`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static MeasureHorizontalAlignment[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AUTOMATIC

    public static final MeasureHorizontalAlignment AUTOMATIC
    Horizontal alignment of a measure text relative to its measure line is chosen by the consumer.

  - ### LEFT_OUTSIDE

    public static final MeasureHorizontalAlignment LEFT_OUTSIDE
    Horizontal alignment of a measure text should be left-outside relative to its measure line.

  - ### INSIDE

    public static final MeasureHorizontalAlignment INSIDE
    Horizontal alignment of a measure text should be inside relative to its measure line.

  - ### RIGHT_OUTSIDE

    public static final MeasureHorizontalAlignment RIGHT_OUTSIDE
    Horizontal alignment of a measure text should be right-outside relative to its measure line.

  - ### NONE

    public static final MeasureHorizontalAlignment NONE
    None

- ## Method Details

  - ### values

    public static MeasureHorizontalAlignment[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MeasureHorizontalAlignment valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null